> For the complete documentation index, see [llms.txt](https://docs.pmem.io/ndctl-user-guide/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pmem.io/ndctl-user-guide/v67/installing-ndctl.md).

# Installing NDCTL & DAXCTL

The `ndctl` and `daxctl` utilities are used to manage the libnvdimm (non-volatile memory device) sub-system in the Linux Kernel. ndctl and daxctl are used to manage persistent memory devices and namespaces and they are required for certain [Persistent Memory Development Kit (PMDK)](https://pmem.io/pmdk) features.&#x20;

{% hint style="info" %}
Microsoft Windows users should visit the [Understand and Deploy Persistent Memory](https://docs.microsoft.com/en-us/windows-server/storage/storage-spaces/deploy-pmem) documentation.
{% endhint %}

The `ndctl` and `daxctl` utilities can be installed on Linux using either of the two options:

* [Install ndctl using packages](/ndctl-user-guide/v67/installing-ndctl/installing-ndctl-packages-on-linux.md)
* [Install ndctl using the source code](/ndctl-user-guide/v67/installing-ndctl/installing-ndctl-from-source-on-linux.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pmem.io/ndctl-user-guide/v67/installing-ndctl.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
